## spacebar 22.11

=== debian/control ===
Source: spacebar
Section: kde
Priority: optional
Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
Uploaders: Marco Mattiolo <marco.mattiolo@hotmail.it>,
           Arnaud Ferraris <aferraris@debian.org>,
Build-Depends: cmake (>= 3.16.0~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.88.0~),
               kirigami2-dev (>= 5.88.0~),
               libc-ares-dev,
               libcurl4-gnutls-dev,
               libkf5config-dev (>= 5.88.0~),
               libkf5contacts-dev (>= 5:5.88.0~),
               libkf5dbusaddons-dev (>= 5.88.0~),
               libkf5i18n-dev (>= 5.88.0~),
               libkf5kio-dev (>= 5.88.0~),
               libkf5notifications-dev (>= 5.88.0~),
               libkf5people-dev (>= 5.88.0~),
               libphonenumber-dev,
               modemmanager-qt-dev (>= 5.88.0~),
               pkg-config,
               pkg-kde-tools,
               qcoro-qt5-dev,
               qtdeclarative5-dev (>= 5.15.0~),
               qtquickcontrols2-5-dev (>= 5.15.0~)
Standards-Version: 4.6.1
Homepage: https://invent.kde.org/plasma-mobile/spacebar
Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/spacebar
Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/spacebar.git
Rules-Requires-Root: no

Package: spacebar
Architecture: any
Multi-Arch: foreign
Depends: qml-module-org-kde-kirigami2 (>= 5.88.0~),
         qml-module-org-kde-kquickcontrolsaddons (>= 5.88.0~),
         qml-module-org-kde-people (>= 5.88.0~),
         qml-module-qtquick-controls2 (>= 5.15.0~),
         qml-module-qtquick-extras (>= 5.15.0~),
         qml-module-qtquick-layouts (>= 5.15.0~),
         ${misc:Depends},
         ${shlibs:Depends}
Description: SMS/MMS application for Plasma Mobile
 Spacebar is an SMS/MMS application that primarily targets Plasma Mobile.
 It depends on Qt and few KDE Frameworks (Kirigami2, KI18n, KPeople, and
 ModemManagerQt).
